Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## examples.e2e.common
Class QPAImpl

    java.lang.Object
      |
      +--examples.e2e.common.QPAImpl

public class QPAImpl
extends java.lang.Object
implements QPA

`QPAImpl` implements the ``QPA`` interface.

See Also:
  Serialized Form

Constructor Summary
`QPAImpl(java.lang.String productId, java.lang.String requestId, java.lang.String desciption, Money desiredUnitPrice, long desiredQty, java.util.Calendar creationDate, java.util.Calendar desiredDate)` Constructs a `QPAImpl` object.

Method Summary
`java.util.Calendar` | `creationDate()` Returns the date this QPA was created.
`java.lang.String` | `description()` Returns a description for the product to be quoted.
`java.util.Calendar` | `desiredDate()` Returns the date the purchaser desires to receive the product.
`long` | `desiredQty()` Returns the quantity of the product desired by the purchaser.
`Money` | `desiredUnitPrice()` Returns the unit price desired by the purchaser.
`boolean` | `equals(java.lang.Object obj)` Returns true if the object supplied implements the `QPA` interface and the request identifiers of the two objects are the same; false is returned otherwise.
`int` | `hashCode()`
`java.lang.String` | `productId()` Returns the identifier for the product to be quoted.
`java.lang.String` | `requestId()` Returns the identifier for this QPA.
`java.lang.String` | `toString()` Returns a String representation of this object.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### QPAImpl

    public QPAImpl(java.lang.String productId,
                   java.lang.String requestId,
                   java.lang.String desciption,
                   Money desiredUnitPrice,
                   long desiredQty,
                   java.util.Calendar creationDate,
                   java.util.Calendar desiredDate)

  Constructs a `QPAImpl` object.

Method Detail

### creationDate

    public java.util.Calendar creationDate()

  Returns the date this QPA was created.
  Specified by:
    creationDate in interface QPA

### description

    public java.lang.String description()

  Returns a description for the product to be quoted.
  Specified by:
    description in interface QPA

### desiredDate

    public java.util.Calendar desiredDate()

  Returns the date the purchaser desires to receive the product.
  Specified by:
    desiredDate in interface QPA

### desiredQty

    public long desiredQty()

  Returns the quantity of the product desired by the purchaser.
  Specified by:
    desiredQty in interface QPA

### desiredUnitPrice

    public Money desiredUnitPrice()

  Returns the unit price desired by the purchaser.
  Specified by:
    desiredUnitPrice in interface QPA

### equals

    public boolean equals(java.lang.Object obj)

  Returns true if the object supplied implements the `QPA` interface and the request identifiers of the two objects are the same; false is returned otherwise.

  Parameters:
    `obj` - the Object to compare with this object.
  Returns:
    true if the object supplied implements the `QPA` interface and the request identifiers of the two objects are the same; false is returned otherwise.
  Overrides:
    equals in class java.lang.Object
  See Also:
    `Hashtable`

### hashCode

    public int hashCode()

  Overrides:
    hashCode in class java.lang.Object

### productId

    public java.lang.String productId()

  Returns the identifier for the product to be quoted.
  Specified by:
    productId in interface QPA

### requestId

    public java.lang.String requestId()

  Returns the identifier for this QPA.
  Specified by:
    requestId in interface QPA

### toString

    public java.lang.String toString()

  Returns a String representation of this object.

  Returns:
    a string representation of this object.
  Overrides:
    toString in class java.lang.Object

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved